#ifndef DS3234_H
#define	DS3234_H
//------------------------------------------------------------------------------
#include "Soft_SPI.h"
#include "Time_functions.h"
#include "DS3234_RTC_Prototypes.h"
//------------------------------------------------------------------------------
void DS3234_init()
{
  SPI_init();   
  CS = 1;      //Deselect initially
  
  DS3234_write(control_reg, 0x20);
  DS3234_write(status_reg, 0x48);
}
//------------------------------------------------------------------------------
char DS3234_read(char address)
{     
  CS = 0;
  SPI_write(address + read_cmd);
  char value = SPI_read(); 
  CS = 1;

  return value;
}
//------------------------------------------------------------------------------
void DS3234_write(char address,char value)
{
  unsigned long temp = 0;

  CS = 0;
  temp = (address + write_cmd);
  SPI_write(temp);
  SPI_write(value);
  CS = 1;
}
//------------------------------------------------------------------------------
void DS3234_setTime(char time[])
{
  for(char reg = 0; reg < 7 ;reg++)
  {
    DS3234_write( reg , get_BCDTime(time[reg]) );//Sec,Min,Hour,WDay,MDay,Month,Year
  }
}
//------------------------------------------------------------------------------
void DS3234_getTime(char time[])
{
  for(char reg = 0; reg < 7; reg++)
  {
   time[reg] = get_DecTime(DS3234_read(reg));//Sec,Min,Hour,WDay,MDay,Month,Year
  }
}
//------------------------------------------------------------------------------
#endif